program TstHSyst;
uses
  Crt,
  HwSyst
  ;

const
  cMaxStr = 50;

type
  tString50  = String[cMaxStr];
  tBlock = record
    a0 : array[0..255] of Byte;
    str: tString50;
    a1 : array[0..255] of Byte;
  end;

var
  block:tBlock;
  ln:byte;
  b:Byte;
begin
  ClrScr;
  FillChar(block, sizeof(tBlock), 0);
  block.str:='';
  ln:=GetBiosIdStr(block.str, cMaxStr);
  writeln('Vraci se: ', block.str, ', pocet: ', ln,' x ', cMaxStr);
  for b:=0 to cMaxStr do write(Byte(block.str[b]):3,',');
  repeat until false;
end.